%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           conduit
Version:        0.3.13
Release:        2%{?dist}
Summary:        A synchronization solution for GNOME

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://www.conduit-project.org/
Source0:        http://download.gnome.org/sources/conduit/0.3/%{name}-%{version}.tar.gz

# Search for xulrunner instead of firefox
# (Fedora's gtkmozembed is from xulrunner starting from F9)
Patch0:         conduit-0.3.13-xulrunner.patch

# Set BROWSER_IMPL (missing from defs.py)
# Use system rather than gtkmozembed; using the latter, conduit crashes
# on opening a second help page
Patch1:         conduit-0.3.13-browser_impl.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, pkgconfig, dbus-python >= 0.80, desktop-file-utils
BuildRequires:  gtk2-devel >= 2.10, pygtk2-devel >= 2.10
BuildRequires:  python-vobject, pygoocanvas >= 0.8
BuildRequires:  perl(XML::Parser)
BuildRequires:  gettext, gnome-doc-utils, scrollkeeper

Requires:       pygoocanvas >= 0.9, python-vobject, python-sqlite
Requires:       dbus >= 0.93, dbus-python >= 0.80, pygtk2
Requires:       python-feedparser
Requires:       python-gpod >= 0.6
Requires:       python-gdata
Requires:       gnome-python2-desktop, gnome-python2-extras
# for fspot support
Requires:       python-sqlite2
# Tomboy is not a hard requirement, but if it is present, it must be 0.5.10
# or greater
Conflicts:      tomboy < 0.5.10

Requires(post): scrollkeeper
Requires(postun):scrollkeeper

%description
Conduit is a synchronization solution for GNOME which allows the user to take
their emails, files, bookmarks, and any other type of personal information and
synchronize that data with another computer, an online service, or even another
electronic device.

Conduit manages the synchronization and conversion of data into other formats.
For example, conduit allows you to;

 * Synchronize your tomboy notes to a file on a remote computer
 * Synchronize your emails to your mobile phone
 * Synchronize your bookmarks to delicious, gmail, or even your own webserver
 * and many more... 

Any combination you can imagine, Conduit will take care of the conversion and
synchronization. 

%prep
%setup -q -n conduit-%{version}
%if 0%{?fedora} >= 9
%patch0 -p1 -b .xulrunner
%endif
%patch1 -p1 -b .browser_impl

# fix eol encoding in a couple of files
sed -i 's/\r//' NEWS TODO

# get rid of any shebangs
for file in `find conduit/{dataproviders,hildonui,modules} -type f -print`; do
  sed -i '/#!/d' $file
done

# dataprovider files install to the wrong directory - fix that
find conduit/{dataproviders,modules} -type f -name Makefile.in | \
  xargs sed -i 's/\$(libdir)/$(pythondir)/'
sed -i 's/@PKGLIBDIR@/@PYTHONDIR@\/%{name}/' conduit/defs.py.in
sed -i 's/@MODULEDIR@/@PYTHONDIR@\/%{name}\/modules/' conduit/defs.py.in


%build
%configure --disable-scrollkeeper
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove broken modules
#(cd $RPM_BUILD_ROOT/%{python_sitelib}/%{name}/modules && \
# rm -rf iPodModule N800Module)

desktop-file-install --delete-original --vendor="fedora"   \
  --remove-category Application                            \
  --dir=$RPM_BUILD_ROOT/%{_datadir}/applications           \
  $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# we don't need the pkgconfig file, or scrollkeeper database
rm -f $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/%{name}.pc
rm -rf $RPM_BUILD_ROOT/%{_localstatedir}/lib/scrollkeeper

%find_lang %{name}
 
%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
scrollkeeper-update -q || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{python_sitelib}/%{name}
%{_bindir}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/gnome/autostart/%{name}-autostart.desktop
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.conduit.service
%{_datadir}/gnome/help/conduit
%{_datadir}/icons/hicolor/16x16/*/conduit*
%{_datadir}/icons/hicolor/22x22/*/conduit*
%{_datadir}/icons/hicolor/24x24/*/conduit*
%{_datadir}/icons/hicolor/26x26/*/conduit*
%{_datadir}/icons/hicolor/32x32/*/conduit*
%{_datadir}/icons/hicolor/48x48/*/conduit*
%{_datadir}/icons/hicolor/scalable/*/conduit*
%{_datadir}/omf/conduit/conduit-*.omf


%changelog
* Tue Aug 26 2008 Michel Salim <salimma@fedoraproject.org> - 0.3.13-2
- Remove obsoleted dependency on PyXML (bz#454995)

* Fri Aug 22 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.3.13-1
- Update to 0.3.13 (fixes #455688, #457717) 

* Fri Jun  6 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.3.11.1-1
- Update to 0.3.11.1
- Detect Firefox install path properly on 64-bit systems
- Temporarily remove iPod and N800 modules due to gnome-vfs2 breakage

* Thu May 22 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.10-4
- for real

* Thu May 22 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.10-3
- fix typo of typo

* Thu May 22 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.10-2
- fix typo in requirements

* Sun May 18 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.10-1
- 0.3.10
- Fails to startup with message of missing libraries (bz #443571)
- Conduit Crash because that could not find FIREFOX LIBRARIES (bz #445488)

* Fri Apr 11 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.9-1
- 0.3.9
- fix BR from dbus to python-dbus

* Sun Feb 24 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3.8-1
- 0.3.8
- additional requires for libgpod, python-sqlite2, python-gdata (bz #432293)

* Tue Oct 30 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.4-2
- add missing Req: dbus-python, pygtk2

* Sun Oct 28 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.4-1
- v 0.3.4
- another fix for bz #255221 and also #315991, conflict with tomboy < xxx
- gmail icon issue automatically resolved in 0.3.4; bz #248503
- added missing Req: PyXML (bz #332311)
- remove pygoocanvas-api-0.9.patch; no longer needed

* Sun Aug 26 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.3-5
- do not require tomboy for ppc64 (see bz #255221)

* Wed Aug 22 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.3-4
- buildrequire and require pygoocanvas >= 0.8

* Sun Aug 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.3-3
- find_lang locale files
- add conduit-autostart.desktop to file list

* Sun Aug 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.3-2
- buildrequire gettext

* Sun Aug 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.3-1
- conduit requires Tomboy >= 0.5.10 for the dbus interface
- 0.3.3
- patch for pygoocanvas API = 0.9
- update license tag to GPLv2+


* Mon Jun 11 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.1-2
- remove Application from desktop file category

* Fri Jun 08 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.1-1
- v 0.3.1
- use disttag macros to require python-elementtree when required
- tidy summary to be easier to read
- remove icon substitution, no longer needed
- remove fixup of Categories in .desktop file

* Thu May 24 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.0-3
- change source0 url to use %%name and %%version macros

* Sun May 06 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.0-2
- change gmail icon from internet-mail (tango icon) to email (bluecurve icon)
  so it will display

* Sun May 06 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.0-1
- initial release
